package berkutschi

type BerkutschiClientRegisterResponse struct {
	Advice struct {
		Interval  int64  `json:"interval"`
		Reconnect string `json:"reconnect"`
		Timeout   int64  `json:"timeout"`
	} `json:"advice"`
	Channel                  string   `json:"channel"`
	ClientID                 string   `json:"clientId"`
	ID                       string   `json:"id"`
	Successful               bool     `json:"successful"`
	SupportedConnectionTypes []string `json:"supportedConnectionTypes"`
	Version                  string   `json:"version"`
}

type BerkutschiClientMessages interface {
	Marshal() ([]byte, error)
}

type BerkutschiConnectMessages []BerkutschiConnectMessage
type BerkutschiConnectMessage struct {
	Channel        string `json:"channel"`
	ClientID       string `json:"clientId"`
	ConnectionType string `json:"connectionType"`
	ID             string `json:"id"`
}

type BerkutschiSubscribeMessages []BerkutschiSubscribeMessage
type BerkutschiSubscribeMessage struct {
	Channel      string `json:"channel"`
	ClientID     string `json:"clientId"`
	ID           string `json:"id"`
	Subscription string `json:"subscription"`
}
